import examples;
import commandr;
import core.stdc.stdlib : EXIT_SUCCESS;

private string programName = "d-examples";

int main(string[] args)
{
	auto argumets = new Program(programName, examplesVersion)
		.add(new Command("shell", "Запуск команд в shell")
				.add(new Command("pipe", "Чтение выходных данных на примере ip"))
				.add(new Command("spinner", "Эмуляция статуса выполнения процесса"))
			)
		.parse(args);

	argumets
		.on("shell", (shell) { shell
				.on("pipe", (pipe) { pipeShell(); })
				.on("spinner", (loading) { spinnerShell(); });
			});

	return EXIT_SUCCESS;
}
